TSPLUGINVCIOBUFFERWATERMARKGET(3ts)

NAME
TSPluginVCIOBufferWaterMarkGet - TSPluginVCIOBufferWaterMarkGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSIOBufferWaterMark TSPluginVCIOBufferWaterMarkGet(TSHttpTxn txnp)

DESCRIPTION

Convenience function to obtain the current value of the proxy.config.plugin.vc.default_buffer_water_mark parameter from the transaction provided in txnp. If no errors are encountered and the watermark on the transaction is greater than or equal to zero, this value is returned. Otherwise the default value is returned.

COPYRIGHT
2026, dev@trafficserver.apache.org